QGIS Application - Bug report #6510
PostGIS tables with both a Geometry and a TopoGeometry column
2012-10-13 11:36 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Data Provider/PostGIS

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15727
Description

When a PostGIS table has both a geometry and a topogeometry column qgis only sees the geometry column.
To reproduce:

CREATE TABLE t (g geometry, tg topogeometry);

CREATE TABLE t2 (tg topogeometry);

Then "Add PostGIS layer", find the "t" table and you'll only see the "g" column, find the "t2" table and you'll see the "tg" column.
I've also tried to switch the order in which topogeometry and geometry columns are added but it's still only the geometry that gets
considered when both are available.

May be related to #4532 but I'm not sure yet

History

#1 - 2012-10-13 11:47 AM - Sandro Santilli

Note that if geometry_columns lookup fails (I temporarly renamed it for testing it) then both columns are shown.
It's a case of metadata lookup automatically becoming authoritative, triggering skipping of further lookup.

This is also when the "only check geometry_columns" option is unselected.

So yes | confirm it is related with #4532

#2 - 2012-10-13 03:56 PM - Sandro Santilli

- Affected QGIS version changed from master to 1.8.0
- Assignee set to Sandro Santilli

1.8.0 is also affected. I'm working on a fix for master.

#3 - 2012-10-13 04:09 PM - Sandro Santilli
- % Done changed from 0 to 90
- Pull Request or Patch supplied changed from No to Yes

Will be fixed in master by pulling this: https://github.com/ggis/Quantum-GIS/pull/291

| could work on backporting to 1.8.0 branch if you see fit.
https://github.com/qgis/Quantum-GIS/pull/291

#4 - 2012-10-14 01:21 AM - Sandro Santilli
- Resolution set to fixed

- Status changed from Open to Closed

- % Done changed from 90 to 100

Patch pulled in master. Thanks jef!
